%define rev svn20110212

Name:             netemul
Version:          1.0.0
Release:          %mkrel -c %{rev} 5
Summary:          A program for simulating computer networks
Group:            Emulators
License:          LGPLv2+
URL:              http://netemul.sourceforge.net
Source0:          %{name}-%{version}-%{rev}.tar.gz
Source1:          %{name}.1
Source2:          %{name}_ru.ts
Patch0:           %{name}-1.0.0-mga-paths.patch
Patch1:           %{name}-1.0.0-mga-without-ipedit.patch
Patch2:           %{name}-1.0.0-mga-desktop-file.patch
Patch3:           %{name}-1.0.0-mga-staticlib-for-basicnetlib.patch
Patch4:           %{name}-1.0.0-mga-open-url.patch
Patch5:           %{name}-1.0.0-without-scripttools.patch
Patch6:           %{name}-1.0.0-mga-fix-html.patch
Patch7:           %{name}-1.0.0-mga-qt5.patch
Patch8:           %{name}-1.0.0-mga-del-qt-qm.patch
BuildRequires:    pkgconfig(Qt5Core)
BuildRequires:    pkgconfig(Qt5Gui)
BuildRequires:    pkgconfig(Qt5OpenGL)
BuildRequires:    pkgconfig(Qt5PrintSupport)
BuildRequires:    pkgconfig(Qt5Script)
BuildRequires:    pkgconfig(Qt5Widgets)
BuildRequires:    pkgconfig(Qt5Xml)
BuildRequires:    qttranslations5
BuildRequires:    qttools5
Requires:         qttranslations5

%description
NetEmul is a program for simulating computer networks.
It makes possible to build, configurate networks and
varify its availability. This program allows begginers
to see a principles of operation CN and gives a scope
for experiments.

%prep
%setup -q -n %{name}-%{version}-%{rev}
sed -i 's/\r//g' ./doc/en/*.html
sed -i 's/\r//g' ./doc/ru/*.html
%autopatch -p1
rm -f ./translation/*.qm
cp -f %{SOURCE2} ./translation/

%build
%{_qt5_bindir}/lupdate ./%{name}.pro
%{_qt5_bindir}/lrelease ./%{name}.pro

pushd basicnetlib
%qmake_qt5
%make_build
popd

%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}/%{_mandir}/man1
cp -f %{SOURCE1} %{buildroot}/%{_mandir}/man1/
for qt_tr in `ls %{_qt5_translationdir}`
do
  ln -s %{_qt5_translationdir}/$qt_tr %{buildroot}%{_datadir}/%{name}/translation/$qt_tr
done

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%{_mandir}/man1/%{name}.*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 1.0.0-0.svn20110212.5.mga8
+ Revision: 1659126
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.0.0-0.svn20110212.4.mga8
+ Revision: 1524834
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 1.0.0-0.svn20110212.3.mga7
+ Revision: 1383502
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-0.svn20110212.2.mga7
+ Revision: 1299708
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Wed Mar 02 2016 alexl <alexl> 1.0.0-0.svn20110212.1.mga6
+ Revision: 983619
- the latest svn snapshot
- switch on qt5 (thanks to admsasha for patch)
- add manpage from Debian
- update Russian translation
- fix paths and install better icon
- build without ipedit, scripttools
- basicnetlib should be static
- fix open url in browser
- fix html (manual): EOL and wrong links
- use qt translations from qttranslations5 by symlinks
- base on upstream desktop file

* Tue Feb 09 2016 umeabot <umeabot> 1.0-8.mga6
+ Revision: 951697
- Mageia 6 Mass Rebuild

* Wed Jan 07 2015 alexl <alexl> 1.0-7.mga5
+ Revision: 809079
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1.0-6.mga5
+ Revision: 751189
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 682851
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 alexl <alexl> 1.0-4.mga5
+ Revision: 662208
- translated desktop file

* Thu Apr 10 2014 alexl <alexl> 1.0-3.mga5
+ Revision: 613231
- drop find_lang

* Thu Apr 10 2014 daviddavid <daviddavid> 1.0-2.mga5
+ Revision: 613218
- update license
- update URL and link url for Source0
- fix missing name.lang files
- drop unneeded BR

* Thu Apr 10 2014 alexl <alexl> 1.0-1.mga5
+ Revision: 613183
- imported package netemul

